require "lra_client/engine"

module LraClient
  class << self
    attr_accessor :app_id, :key, :domain_namespace, :login_completion_url
    attr_accessor :request_challenge_url, :load_details_url

    def return_url
      self.domain_namespace + '/return'
    end

    def validate_session(session)
      return nil if session[:current_user_type] != 'LraClient::User'
      LraClient::User::find_by(id: session[:current_user_id])
    end
  end

  self.request_challenge_url = 'https://lifemakesuslaugh.com/api/lra/request_challenge.json'
  self.load_details_url = 'https://lifemakesuslaugh.com/api/lra/load_details.json'
end
