module LraClient
  class User < ApplicationRecord
    def self.create_or_update_from_loft(params)
      user = User.find_by(loft_id: params['id'])
      user = User.new if user.nil?
      user.loft_id = params['id']
      user.name    = params['name']
      user.avatar  = params['avatar']
      user.email   = params['email']
      user.save!
      user
    end
  end
end
